Bug 136422 - Test runner should be able to rerun an individual test
Test runner should be able to rerun an individual test
Status: RESOLVED FIXED
Product: ruby
Classification: Unclassified
Component: Testing
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Erno Mononen
issues@ruby
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-03 21:03 UTC by jamespb
Modified: 2009-02-19 23:01 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jamespb 2008-06-03 21:03:51 UTC
From the test runner left pane, I should be able to right-click a test and have a menu option to run just that one test.
Comment 1 Erno Mononen 2008-06-06 21:19:59 UTC
Yes, this would be nice to have, will implement for 6.5. Tor also proposed having a context menu on the test nodes with 
items for Run and Debug, I'll adress that too as part of this issue.
Comment 2 jamespb 2008-06-24 17:57:19 UTC
Is this going to make 6.5?
Comment 3 Erno Mononen 2008-06-24 18:04:26 UTC
Yes, targetting 6.5 - there is still a couple of weeks for feature development after M1 is out. I don't expect this to 
be particularly complicated to implement, just haven't had the time for that yet.
Comment 4 Erno Mononen 2008-10-16 15:24:44 UTC
Implemented for test method nodes in #9efe3e1a3986 (will push tomorrow), working on implementing this for test nodes 
(for rerunning a single test file).
Comment 5 Erno Mononen 2008-10-17 13:30:43 UTC
Implemented for test suites too, #3cfb782d0c71 (will push shortly). Doesn't work currently for RSpec test when running 
on JRuby (similarly as jump to source), I will deal with that in issue 135680.

In the end I didn't have time to implement this before the feature freeze for 6.5, so this only available in trunk.
Comment 6 Quality Engineering 2008-10-17 16:30:47 UTC
Integrated into 'main-golden', will be available in build *200810171401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/9efe3e1a3986
User: Erno Mononen <emononen@netbeans.org>
Log: #136422: Test runner should be able to rerun an individual test
- added Run again, Debug and Go to source actions to the test method node context menu
Comment 7 Quality Engineering 2008-10-18 15:52:09 UTC
Integrated into 'main-golden', will be available in build *200810181401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/3cfb782d0c71
User: Erno Mononen <emononen@netbeans.org>
Log: #136422 (part 2): Test runner should be able to rerun an individual test
- go to source, run again and debug context actions for test suites


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo